
Katello - Bug #5598

Hammer cannot list repositories

05/06/2014 08:38 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1094635 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1094635

Description of problem:

hammer does not list enabled repositories.

Without organization_id option, it requires it, with the option, hammer fails with Unrecognised option '--organization_id'

Version-Release number of selected component (if applicable):

sat6-Satellite-6.0.3-RHEL-6-20140501.1-Satellite-x86_64-dvd1.iso

How reproducible:

always

Actual results:

1.

$ hammer repository list

One of parameters [ organization_id ] required but not specified.

2.

$ hammer repository list --organization-id='ACME_Corporation'

Error: Unrecognised option '--organization-id'

See: 'hammer repository list --help'

$ hammer repository list --help

Usage:

hammer repository list [OPTIONS]

Options:

-h, --help                    print help

Expected results:

Get list of repositories

Associated revisions

Revision 1c6f3f64 - 05/16/2014 05:44 PM - Adam Price 

fixes #5598 - hammer cannot list repositories, BZ1094493

Revision 3ab6ccb3 - 05/16/2014 05:51 PM - Adam Price 

Merge pull request #171 from komidore64/rmi5598-hammer-cannot-list-repos

fixes #5598 - hammer cannot list repositories, BZ1094493

History

#1 - 05/16/2014 06:06 PM - Anonymous

- Status changed from New to Closed
https://bugzilla.redhat.com/show_bug.cgi?id=1094635


- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:1c6f3f64e7144efe1b208ea17757518329e5b093.

#2 - 05/27/2014 05:09 PM - Eric Helms

- Target version set to 44

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged set to Yes

#4 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

